<?php
include('../../dao/auto_load.php');
$conecta = new \Conn\MySqlConnect();
$cidadesDao = new \Dao\Cidades();
$cidadesDao->nome = $conecta->real_escape_string(filter_input(INPUT_POST, 'nome'));
$cidadesDao->data_cadastro = date('Y-m-d H:i:s');
$cidadesDao->usuario_cadastrou = $_SESSION['id_usuario'];
$lst_cidades = $cidadesDao->getLista($conecta, "AND nome = '$cidadesDao->nome'");
if (!empty($lst_cidades)) {
    echo json_encode(['type' => 'error', 'message' => 'Já Existe Uma Cidade Cadastrada Com Este Nome!']);
    $valid = false;
}
$res = json_decode($cidadesDao->salvar($conecta));
if ($res->data == 'Success') {
    echo json_encode(['type' => 'success', 'message' => $res->message]);
    return;
}
echo json_encode(['type' => 'error', 'message' => $res->message]);